> ## Documentation Index
> Fetch the complete documentation index at: https://docs.toku.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Resolve Clock Session

> Reviews captured timer hours and explicitly keeps the timesheet or replaces editable daily hours.

Not available to API keys.

## OpenAPI

````yaml api-reference/openapi.json POST /hris/resolve-clock-session
openapi: 3.1.0
info:
  title: Toku API
  version: 1.0.0
servers:
  - url: https://api.toku.com
security:
  - bearerAuth: []
paths:
  /hris/resolve-clock-session:
    post:
      operationId: resolveClockSession
      summary: Resolve Clock Session
      description: >-
        Reviews captured timer hours and explicitly keeps the timesheet or
        replaces editable daily hours.


        Not available to API keys.
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ResolveClockSessionRequest'
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ResolveClockSessionResponse'
        '400':
          description: Bad request
        '401':
          description: Unauthorized
        '403':
          description: Forbidden
        '404':
          description: Not found
        '409':
          description: Conflict
        '429':
          description: Response 429
components:
  schemas:
    ResolveClockSessionRequest:
      type: object
      properties:
        sessionID:
          type: string
          format: uuid
        decision:
          type: string
          enum:
            - keep-timesheet
            - use-timer
        note:
          type: string
          minLength: 1
          maxLength: 1000
        endAt:
          type: string
      required:
        - sessionID
        - decision
        - note
    ResolveClockSessionResponse:
      type: object
      properties:
        enabled:
          type: boolean
        serverNow:
          type: string
        timezone:
          type:
            - string
            - 'null'
        session:
          type:
            - object
            - 'null'
          properties:
            id:
              type: string
              format: uuid
            version:
              type: integer
              minimum: 0
            startedAt:
              type: string
            breakStartedAt:
              type:
                - string
                - 'null'
            breakSeconds:
              type: integer
              minimum: 0
          required:
            - id
            - version
            - startedAt
            - breakStartedAt
            - breakSeconds
        pending:
          type: array
          items:
            type: object
            properties:
              id:
                type: string
                format: uuid
              startedAt:
                type: string
              endedAt:
                type: string
              timezone:
                type: string
              automatic:
                type: boolean
              breakMinutes:
                type: integer
                minimum: 0
            required:
              - id
              - startedAt
              - endedAt
              - timezone
              - automatic
              - breakMinutes
      required:
        - enabled
        - serverNow
        - timezone
        - session
        - pending
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
````
